Package com.orchestranetworks.rest.serialization

# Enum Class Include

java.lang.Object
java.lang.Enum<Include>
com.orchestranetworks.rest.serialization.Include

All Implemented Interfaces:
  `Serializable`, `Comparable<Include>`, `Constable`

public enum Include extends Enum<Include>
Holds the available options for configuring the content of the generated JSON response body.

Except for the `ALL` option, the inclusions are cumulative and non-conflicting. The use of the `ALL` option implies that every possible inclusion will proceed.

Since:
  6.0.0
See Also:
  - `ExtendedOutput`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Includes every available information.
  `CONTENT`
  Includes every item's content.
  `DETAILS`
  Includes the `URL`s to the items' details.
  `HISTORY`
  Includes data related to the history (i.e.
  `LABEL`
  Includes labels.
  `MERGE_INFO`
  Includes the history merge information.
  `META`
  Includes the metadata.
  `SELECTOR`
  Includes the `URL`s to the selectors' details.
  `TECHNICALS`
  Includes the technical data (i.e.
  `VALIDATION`
  Includes the validation reports.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Include`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Include[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final Include ALL
    Includes every available information.

  - ### LABEL

    public static final Include LABEL
    Includes labels.

  - ### MERGE_INFO

    public static final Include MERGE_INFO
    Includes the history merge information.

  - ### META

    public static final Include META
    Includes the metadata.

  - ### DETAILS

    public static final Include DETAILS
    Includes the `URL`s to the items' details.

  - ### SELECTOR

    public static final Include SELECTOR
    Includes the `URL`s to the selectors' details.

  - ### TECHNICALS

    public static final Include TECHNICALS
    Includes the technical data (i.e. the records' creation date).

  - ### VALIDATION

    public static final Include VALIDATION
    Includes the validation reports.

  - ### HISTORY

    public static final Include HISTORY
    Includes data related to the history (i.e. history activation for a table).

  - ### CONTENT

    public static final Include CONTENT
    Includes every item's content.

- ## Method Details

  - ### values

    public static Include[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Include valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null